Loading...
Searching...
No Matches
svn_dirent_t Struct Reference

A general subversion directory entry. More...

`#include <svn_types.h>`

## Data Fields

svn_node_kind_t | kind
| node kind
svn_filesize_t | size
| length of file text, otherwise SVN_INVALID_FILESIZE
svn_boolean_t | has_props
| does the node have props?
svn_revnum_t | created_rev
| last rev in which this node changed
apr_time_t | time
| time of created_rev (mod-time)
const char * | last_author
| author of created_rev

## Detailed Description

A general subversion directory entry.

Note
  To allow for extending the svn_dirent_t structure in future releases, always use svn_dirent_create() to allocate the stucture.

Since
  New in 1.6.

Definition at line 563 of file svn_types.h.

## Field Documentation

## created_rev

svn_revnum_t svn_dirent_t::created_rev

last rev in which this node changed

Definition at line 575 of file svn_types.h.

## has_props

svn_boolean_t svn_dirent_t::has_props

does the node have props?

Definition at line 572 of file svn_types.h.

## kind

svn_node_kind_t svn_dirent_t::kind

node kind

Definition at line 566 of file svn_types.h.

## last_author

const char* svn_dirent_t::last_author

author of created_rev

Definition at line 581 of file svn_types.h.

## size

svn_filesize_t svn_dirent_t::size

length of file text, otherwise SVN_INVALID_FILESIZE

Definition at line 569 of file svn_types.h.

## time

apr_time_t svn_dirent_t::time

time of created_rev (mod-time)

Definition at line 578 of file svn_types.h.

The documentation for this struct was generated from the following file:

- svn_types.h